@import "../../assets/utils";

.layout {
  display: flex;
  flex-direction: column;
  height: 100vh;
}

.header {
  flex-shrink: 0;
  padding: 0 15px;
  background: $color-septenary;
}

.navigation {
  flex-shrink: 0;
  padding: 0 15px;

  > .container {
    height: 40px;

    > * {
      height: 100%;
      > * {
        height: 100%;
        box-shadow: none;
      }
    }
  }
}

.content {
  flex-grow: 1;
  flex-shrink: 1;
  padding: 0 15px 32px;
  background: $color-septenary-ligher;
  overflow-y: auto;
  scroll-behavior: smooth;
  -webkit-overflow-scrolling: touch;
}

.container {
  max-width: 1170px;
  margin: 0 auto;
}